/* Usage: java peaktraffic_test_sparse <n> <output_file>
 * n is the number of members, no less than 7.
 */
public class peaktraffic_test_sparse {
  public static void main(String[] args) {
    int n = Integer.parseInt(args[0]);
    if (n < 7) {
      System.exit(1);
    }
    Spacer sp = new Spacer(args[1]);
    for (int a = 0; a < n; a++) {
      for (int db = -2; db <= 2; db++) {
        int b = (a + db + n) % n;
        sp.print("Thu Jan 01 00:00:00 UTC 1970\t");
        sp.print(a);
        sp.print("@example.com\t");
        sp.print(b);
        sp.print("@example.com");
        sp.println();
      }
    }
    sp.close(1);
  }
}
